Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta.strats
Class HandlerCollectionTableFieldStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
              org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
                  org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy
                      kodo.jdbc.meta.strats.HandlerCollectionTableFieldStrategy

All Implemented Interfaces:
  org.apache.openjpa.jdbc.meta.FieldStrategy, org.apache.openjpa.jdbc.meta.Strategy, org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy

    public class HandlerCollectionTableFieldStrategy

extends org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy
implements org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy

Mapping for a collection of values in a separate table controlled by a `ValueHandler`.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`field`

Constructor Summary
`HandlerCollectionTableFieldStrategy()`

Method Summary
`void` | `delete(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.sql.RowManager rm)`
`org.apache.openjpa.jdbc.schema.Column[]` | `getElementColumns(org.apache.openjpa.jdbc.meta.ClassMapping elem)`
`org.apache.openjpa.jdbc.meta.FieldMapping` | `getFieldMapping()`
`org.apache.openjpa.jdbc.meta.ClassMapping[]` | `getIndependentElementMappings(boolean traverse)`
`org.apache.openjpa.jdbc.schema.ForeignKey` | `getJoinForeignKey(org.apache.openjpa.jdbc.meta.ClassMapping elem)`
`void` | `initialize()`
`void` | `insert(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.sql.RowManager rm)`
`org.apache.openjpa.jdbc.sql.Joins` | `join(org.apache.openjpa.jdbc.sql.Joins joins, boolean forceOuter)`
`protected org.apache.openjpa.jdbc.sql.Joins` | `join(org.apache.openjpa.jdbc.sql.Joins joins, org.apache.openjpa.jdbc.meta.ClassMapping elem)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinElementRelation(org.apache.openjpa.jdbc.sql.Joins joins, org.apache.openjpa.jdbc.meta.ClassMapping elem)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinRelation(org.apache.openjpa.jdbc.sql.Joins joins, boolean forceOuter, boolean traverse)`
`Object` | `loadElement(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, org.apache.openjpa.jdbc.sql.Result res, org.apache.openjpa.jdbc.sql.Joins joins)`
`void` | `map(boolean adapt)`
`protected org.apache.openjpa.util.Proxy` | `newLRSProxy(org.apache.openjpa.conf.OpenJPAConfiguration conf)`
`void` | `selectElement(org.apache.openjpa.jdbc.sql.Select sel, org.apache.openjpa.jdbc.meta.ClassMapping elem, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, int eagerMode, org.apache.openjpa.jdbc.sql.Joins joins)`
`int` | `supportsSelect(org.apache.openjpa.jdbc.sql.Select sel, int type, org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch)`
`Object` | `toDataStoreValue(Object val, org.apache.openjpa.jdbc.kernel.JDBCStore store)`
`void` | `update(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.sql.RowManager rm)`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy
`add, getJoinForeignKey, isEagerSelectToMany, load, loadEagerJoin, loadEagerParallel, loadProjection, selectAll, selectEagerJoin, selectEagerParallel, toCollection`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendJoinCount, appendSize, appendUnaliasedJoin`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`assertNotMappedBy, isVersionable, joinKey, joinKeyRelation, load, loadKeyProjection, select, setFieldMapping, toKeyDataStoreValue, where`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.FieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendSize, isEagerSelectToMany, isVersionable, joinKey, joinKeyRelation, load, load, loadEagerJoin, loadEagerParallel, loadKeyProjection, loadProjection, select, selectEagerJoin, selectEagerParallel, setFieldMapping, toKeyDataStoreValue, where`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Constructor Detail

### HandlerCollectionTableFieldStrategy

    public HandlerCollectionTableFieldStrategy()

Method Detail

### getFieldMapping

    public org.apache.openjpa.jdbc.meta.FieldMapping getFieldMapping()

  Specified by:
    `getFieldMapping` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`

### getIndependentElementMappings

    public org.apache.openjpa.jdbc.meta.ClassMapping[] getIndependentElementMappings(boolean traverse)

  Specified by:
    `getIndependentElementMappings` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`
  Specified by:
    `getIndependentElementMappings` in class `org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy`

### getElementColumns

    public org.apache.openjpa.jdbc.schema.Column[] getElementColumns(org.apache.openjpa.jdbc.meta.ClassMapping elem)

  Specified by:
    `getElementColumns` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`

### getJoinForeignKey

    public org.apache.openjpa.jdbc.schema.ForeignKey getJoinForeignKey(org.apache.openjpa.jdbc.meta.ClassMapping elem)

  Specified by:
    `getJoinForeignKey` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`
  Specified by:
    `getJoinForeignKey` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### selectElement

    public void selectElement(org.apache.openjpa.jdbc.sql.Select sel,
                              org.apache.openjpa.jdbc.meta.ClassMapping elem,
                              org.apache.openjpa.jdbc.kernel.JDBCStore store,
                              org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                              int eagerMode,
                              org.apache.openjpa.jdbc.sql.Joins joins)

  Specified by:
    `selectElement` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`
  Specified by:
    `selectElement` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### loadElement

    public Object loadElement(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                              org.apache.openjpa.jdbc.kernel.JDBCStore store,
                              org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                              org.apache.openjpa.jdbc.sql.Result res,
                              org.apache.openjpa.jdbc.sql.Joins joins)
                       throws SQLException

  Specified by:
    `loadElement` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`
  Specified by:
    `loadElement` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`
  Throws:
    `SQLException`

### join

    protected org.apache.openjpa.jdbc.sql.Joins join(org.apache.openjpa.jdbc.sql.Joins joins,
                                                     org.apache.openjpa.jdbc.meta.ClassMapping elem)

  Specified by:
    `join` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### joinElementRelation

    public org.apache.openjpa.jdbc.sql.Joins joinElementRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                                 org.apache.openjpa.jdbc.meta.ClassMapping elem)

  Specified by:
    `joinElementRelation` in interface `org.apache.openjpa.jdbc.meta.strats.LRSCollectionFieldStrategy`
  Specified by:
    `joinElementRelation` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### newLRSProxy

    protected org.apache.openjpa.util.Proxy newLRSProxy(org.apache.openjpa.conf.OpenJPAConfiguration conf)

  Specified by:
    `newLRSProxy` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### map

    public void map(boolean adapt)

  Specified by:
    `map` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `map` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `initialize` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`

### insert

    public void insert(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                       org.apache.openjpa.jdbc.kernel.JDBCStore store,
                       org.apache.openjpa.jdbc.sql.RowManager rm)
                throws SQLException

  Specified by:
    `insert` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `insert` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`
  Throws:
    `SQLException`

### update

    public void update(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                       org.apache.openjpa.jdbc.kernel.JDBCStore store,
                       org.apache.openjpa.jdbc.sql.RowManager rm)
                throws SQLException

  Specified by:
    `update` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `update` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`
  Throws:
    `SQLException`

### delete

    public void delete(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                       org.apache.openjpa.jdbc.kernel.JDBCStore store,
                       org.apache.openjpa.jdbc.sql.RowManager rm)
                throws SQLException

  Specified by:
    `delete` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `delete` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`
  Throws:
    `SQLException`

### supportsSelect

    public int supportsSelect(org.apache.openjpa.jdbc.sql.Select sel,
                              int type,
                              org.apache.openjpa.kernel.OpenJPAStateManager sm,
                              org.apache.openjpa.jdbc.kernel.JDBCStore store,
                              org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch)

  Specified by:
    `supportsSelect` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `supportsSelect` in class `org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy`

### toDataStoreValue

    public Object toDataStoreValue(Object val,
                                   org.apache.openjpa.jdbc.kernel.JDBCStore store)

  Specified by:
    `toDataStoreValue` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `toDataStoreValue` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

### join

    public org.apache.openjpa.jdbc.sql.Joins join(org.apache.openjpa.jdbc.sql.Joins joins,
                                                  boolean forceOuter)

  Specified by:
    `join` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `join` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

### joinRelation

    public org.apache.openjpa.jdbc.sql.Joins joinRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                          boolean forceOuter,
                                                          boolean traverse)

  Specified by:
    `joinRelation` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `joinRelation` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.